PAWpySeed Parallel C/Python package for numerical analysis of PAW DFT wavefunctions

- Main Page
- Classes
- Files

- File List
- File Members

Functions
linalg.h File Reference
`#include <mkl.h>`
`#include <mkl_types.h>`
Include dependency graph for linalg.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | fft3d (double complex *x, int *G_bounds, double *lattice, double *kpt, int *Gs, float complex *Cs, int num_waves, int *fftg)
void | fwd_fft3d (double complex *x, int *G_bounds, double *lattice, double *kpt, int *Gs, float complex *Cs, int num_waves, int *fftg)

## Detailed Description

Linear algebra routines performed by interacing with the Intel Math Kernel Library

## Function Documentation

void fft3d | ( | double complex * | x,
|  | int * | G_bounds,
|  | double * | lattice,
|  | double * | kpt,
|  | int * | Gs,
|  | float complex * | Cs,
|  | int | num_waves,
|  | int * | fftg
| ) |  |

Uses the 3D fast fourier transform to calculate the wavefunction defined by plane-wave coefficients Cs in real space. These values get stored in x. The fast index is z (i.e. the third lattice direction) for storage and computation.

void fwd_fft3d | ( | double complex * | x,
|  | int * | G_bounds,
|  | double * | lattice,
|  | double * | kpt,
|  | int * | Gs,
|  | float complex * | Cs,
|  | int | num_waves,
|  | int * | fftg
| ) |  |